skb_gso_segment
Prev | Driver Support | Next

## Name

skb_gso_segment — Perform segmentation on skb.

## Synopsis

`struct sk_buff * skb_gso_segment (` | struct sk_buff * | skb,
| int | features`)`;

## Arguments

`skb`

  buffer to segment

`features`

  features for the output path (see dev->features)

## Description

This function segments the given skb and returns a list of segments.

It may return NULL if the skb requires no segmentation. This is only possible when GSO is used for verifying header integrity.

Prev | Up | Next
netif_device_attach | Home | dev_queue_xmit